### Method

# Clutter PaintNode add_multitexture_rectangle

#### Declaration [src]

    void
    clutter_paint_node_add_multitexture_rectangle (
      ClutterPaintNode* node,
      const ClutterActorBox* rect,
      const float* text_coords,
      unsigned int text_coords_len
    )

#### Description [src]

Adds a rectangle region to the `node`, with multitexture coordinates.

#### Parameters

`rect`

  Type: `ClutterActorBox`

  A `ClutterActorBox`.

  The data is owned by the caller of the method.

`text_coords`

  Type: `const float*`

  Array of multitexture values.

  The data is owned by the caller of the method.

`text_coords_len`

  Type: `unsigned int`

  Number of items of `text_coords`.